Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface AnnotationValue

    public interface AnnotationValue

Represents a value of an annotation type element.

Since:
  1.5

Method Summary
`SourcePosition` | `getPosition()` Returns the source position of the beginning of this annotation value.
`Object` | `getValue()` Returns the value.
`String` | `toString()` Returns a string representation of this value.

Method Detail

### getValue

    Object getValue()

  Returns the value. The result has one of the following types:
  - a wrapper class (such as `Integer`) for a primitive type
  - `String`
  - `TypeMirror`
  - `EnumConstantDeclaration`
  - `AnnotationMirror`
  - `Collection<AnnotationValue>` (representing the elements, in order, if the value is an array)

  Returns:
    the value

### getPosition

    SourcePosition getPosition()

  Returns the source position of the beginning of this annotation value. Returns null if the position is unknown or not applicable.

  This source position is intended for use in providing diagnostics, and indicates only approximately where an annotation value begins.

  Returns:
    the source position of the beginning of this annotation value or null if the position is unknown or not applicable

### toString

    String toString()

  Returns a string representation of this value. This is returned in a form suitable for representing this value in the source code of an annotation.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.